﻿@model  Select2AutomacoesViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
            <input id="@Model.idControleInput" type="text" placeholder="Pesquisar Código..." class="form-control numeric" maximo="8">
        </div>
    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5")">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}
else
{
    <div class="campos-group">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" placeholder="Pesquisar Código..." type="text" class="ctrl-filtro numerico" maximo="5" />
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}

<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2Automacoes/ObterDescricoesAutomacoes")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMFNT";
                textoInicial = "Selec. uma Automação";
                jsonTexto = "NOMFNT";
                jsonValor = "CODEMPAUT";
				caracteresMinimos = 0;
			}
			inicializar(null);
		}
    });

</script>
